## ros-kinetic-denso-ros-control 2.0.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(denso_ros_control)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED roscpp hardware_interface transmission_interface controller_manager joint_limits_interface urdf kdl_parser)

## System dependencies are found with CMake's conventions
# find_package(Boost REQUIRED COMPONENTS system)


## Uncomment this if the package has a setup.py. This macro ensures
## modules and global scripts declared therein get installed
## See http://ros.org/doc/api/catkin/html/user_guide/setup_dot_py.html
# catkin_python_setup()

################################################
## Declare ROS messages, services and actions ##
################################################

## To declare and build messages, services or actions from within this
## package, follow these steps:
## * Let MSG_DEP_SET be the set of packages whose message types you use in
##   your messages/services/actions (e.g. std_msgs, actionlib_msgs, ...).
## * In the file package.xml:
##   * add a build_depend tag for "message_generation"
##   * add a build_depend and a run_depend tag for each package in MSG_DEP_SET
##   * If MSG_DEP_SET isn't empty the following dependency has been pulled in
##     but can be declared for certainty nonetheless:
##     * add a run_depend tag for "message_runtime"
## * In this file (CMakeLists.txt):
##   * add "message_generation" and every package in MSG_DEP_SET to
##     find_package(catkin REQUIRED COMPONENTS ...)
##   * add "message_runtime" and every package in MSG_DEP_SET to
##     catkin_package(CATKIN_DEPENDS ...)
##   * uncomment the add_*_files sections below as needed
##     and list every .msg/.srv/.action file to be processed
##   * uncomment the generate_messages entry below
##   * add every package in MSG_DEP_SET to generate_messages(DEPENDENCIES ...)

## Generate messages in the 'msg' folder
# add_message_files(
#   FILES
#   Message1.msg
#   Message2.msg
# )

## Generate services in the 'srv' folder
# add_service_files(
#   FILES
#   Service1.srv
#   Service2.srv
# )

## Generate actions in the 'action' folder
# add_action_files(
#   FILES
#   Action1.action
#   Action2.action
# )

## Generate added messages and services with any dependencies listed here
# generate_messages(
#   DEPENDENCIES
#   std_msgs  # Or other packages containing msgs
# )

################################################
## Declare ROS dynamic reconfigure parameters ##
################################################

## To declare and build dynamic reconfigure parameters within this
## package, follow these steps:
## * In the file package.xml:
##   * add a build_depend and a run_depend tag for "dynamic_reconfigure"
## * In this file (CMakeLists.txt):
##   * add "dynamic_reconfigure" to
##     find_package(catkin REQUIRED COMPONENTS ...)
##   * uncomment the "generate_dynamic_reconfigure_options" section below
##     and list every .cfg file to be processed

## Generate dynamic reconfigure parameters in the 'cfg' folder
# generate_dynamic_reconfigure_options(
#   cfg/DynReconf1.cfg
#   cfg/DynReconf2.cfg
# )

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if you package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
  INCLUDE_DIRS include
#  LIBRARIES denso_ros_control
#  CATKIN_DEPENDS other_catkin_pkg
  CATKIN_DEPENDS roscpp hardware_interface transmission_interface controller_manager urdf kdl_parser
#  DEPENDS system_lib
)

###########
## Build ##
###########

add_compile_options(-std=c++11)
## Specify additional locations of header files
## Your package locations should be listed before other locations
include_directories(include  ${catkin_INCLUDE_DIRS})

## Declare a C++ library
# add_library(denso_ros_control
#   src/${PROJECT_NAME}/denso_ros_control.cpp
# )

## Add cmake target dependencies of the library
## as an example, code may need to be generated before libraries
## either from message generation or dynamic reconfigure
# add_dependencies(denso_ros_control ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})

## Declare a C++ executable
# add_executable(denso_ros_control_node src/denso_ros_control_node.cpp)
add_executable(denso_ros_control src/b-Cap.c src/main.cpp)

## Add cmake target dependencies of the executable
## same as for the library above
# add_dependencies(denso_ros_control_node ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})

## Specify libraries to link a library or executable target against
target_link_libraries(denso_ros_control
  ${catkin_LIBRARIES}
)

#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

## Mark executable scripts (Python etc.) for installation
## in contrast to setup.py, you can choose the destination
# install(PROGRAMS
#   scripts/my_python_script
#   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
# )

## Mark executables and/or libraries for installation
install(TARGETS denso_ros_control
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Mark cpp header files for installation
# install(DIRECTORY include/${PROJECT_NAME}/
#   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
#   FILES_MATCHING PATTERN "*.h"
#   PATTERN ".svn" EXCLUDE
# )

install(DIRECTORY launch config
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

## Mark other files for installation (e.g. launch and bag files, etc.)
# install(FILES
#   # myfile1
#   # myfile2
#   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
# )

#############
## Testing ##
#############

## Add gtest based cpp test target and link libraries
# catkin_add_gtest(${PROJECT_NAME}-test test/test_denso_ros_control.cpp)
# if(TARGET ${PROJECT_NAME}-test)
#   target_link_libraries(${PROJECT_NAME}-test ${PROJECT_NAME})
# endif()

## Add folders to be run by python nosetests
# catkin_add_nosetests(test)

=== debian/changelog ===
ros-kinetic-denso-ros-control (2.0.3-0xenial) xenial; urgency=high



 -- Shohei Fujii <fujii.shohei@gmail.com>  Mon, 23 Apr 2018 15:00:00 -0000

ros-kinetic-denso-ros-control (2.0.2-0xenial) xenial; urgency=high

  * Fix kinetic-devel (denso_ros_control) for simulation usage (#88 <https://github.com/start-jsk/denso/issues/88>)
    * add joint_state_controller
    * add joint_trajectory_controller depends denso_ros_control/package.xml
    * add position_controllers depends denso_ros_control/package.xml
    * CMakeLists.txt: add install target
    * position_control.launch: add --shutdown-timeout 0.1 to clean? shutdown of controllers
    * position_control.launch: add server_ip, udp_timeout, server_port, dryrun arguments
    * use position_trajectory_controller (use joint tarjectory action instead of poision conttoller for each joint)
    * loopback read and write for dryrun mode
    * skip fixed joint, see https://github.com/start-jsk/denso/issues/68#issuecomment-338449016
  * Contributors: Kei Okada

 -- Shohei Fujii <fujii.shohei@gmail.com>  Tue, 31 Oct 2017 15:00:00 -0000

ros-kinetic-denso-ros-control (2.0.1-0xenial) xenial; urgency=high



 -- Shohei Fujii <fujii.shohei@gmail.com>  Tue, 08 Aug 2017 15:00:00 -0000

ros-kinetic-denso-ros-control (2.0.0-0xenial) xenial; urgency=high

  * initial commit for supporting ros_control (#82 <https://github.com/start-jsk/denso/issues/82>)
    * fix compilation error
    * initial commit for supporting ros_control
  * Contributors: Shohei Fujii

 -- Shohei Fujii <fujii.shohei@gmail.com>  Tue, 08 Aug 2017 15:00:00 -0000

ros-kinetic-denso-ros-control (1.1.8-0xenial) xenial; urgency=high



 -- Shohei Fujii <fujii.shohei@gmail.com>  Thu, 02 Mar 2017 15:00:00 -0000

ros-kinetic-denso-ros-control (1.1.7-0xenial) xenial; urgency=high



 -- Shohei Fujii <fujii.shohei@gmail.com>  Mon, 22 Aug 2016 15:00:00 -0000

ros-kinetic-denso-ros-control (1.1.6-0xenial) xenial; urgency=high



 -- Shohei Fujii <fujii.shohei@gmail.com>  Thu, 23 Jun 2016 15:00:00 -0000

ros-kinetic-denso-ros-control (1.1.5-0xenial) xenial; urgency=high



 -- Shohei Fujii <fujii.shohei@gmail.com>  Mon, 04 Apr 2016 15:00:00 -0000

ros-kinetic-denso-ros-control (1.1.4-0xenial) xenial; urgency=high



 -- Shohei Fujii <fujii.shohei@gmail.com>  Sun, 07 Feb 2016 15:00:00 -0000

ros-kinetic-denso-ros-control (1.1.3-0xenial) xenial; urgency=high



 -- Shohei Fujii <fujii.shohei@gmail.com>  Wed, 03 Feb 2016 15:00:00 -0000

ros-kinetic-denso-ros-control (1.1.2-0xenial) xenial; urgency=high



 -- Shohei Fujii <fujii.shohei@gmail.com>  Sun, 20 Dec 2015 15:00:00 -0000

ros-kinetic-denso-ros-control (1.1.1-0xenial) xenial; urgency=high



 -- Shohei Fujii <fujii.shohei@gmail.com>  Mon, 02 Nov 2015 15:00:00 -0000

ros-kinetic-denso-ros-control (1.1.0-0xenial) xenial; urgency=high



 -- Shohei Fujii <fujii.shohei@gmail.com>  Fri, 30 Oct 2015 15:00:00 -0000

ros-kinetic-denso-ros-control (1.0.0-0xenial) xenial; urgency=high



 -- Shohei Fujii <fujii.shohei@gmail.com>  Thu, 29 Oct 2015 15:00:00 -0000

ros-kinetic-denso-ros-control (0.2.9-0xenial) xenial; urgency=high



 -- Shohei Fujii <fujii.shohei@gmail.com>  Fri, 06 Mar 2015 15:00:00 -0000

ros-kinetic-denso-ros-control (0.2.8-0xenial) xenial; urgency=high



 -- Shohei Fujii <fujii.shohei@gmail.com>  Tue, 29 Jul 2014 15:00:00 -0000

ros-kinetic-denso-ros-control (0.2.7-0xenial) xenial; urgency=high



 -- Shohei Fujii <fujii.shohei@gmail.com>  Thu, 02 Jan 2014 15:00:00 -0000

ros-kinetic-denso-ros-control (0.2.6-0xenial) xenial; urgency=high



 -- Shohei Fujii <fujii.shohei@gmail.com>  Thu, 12 Dec 2013 15:00:00 -0000

ros-kinetic-denso-ros-control (0.2.5-0xenial) xenial; urgency=high



 -- Shohei Fujii <fujii.shohei@gmail.com>  Tue, 10 Dec 2013 15:00:00 -0000

ros-kinetic-denso-ros-control (0.2.4-0xenial) xenial; urgency=high



 -- Shohei Fujii <fujii.shohei@gmail.com>  Mon, 09 Dec 2013 15:00:00 -0000

ros-kinetic-denso-ros-control (0.2.3-0xenial) xenial; urgency=high



 -- Shohei Fujii <fujii.shohei@gmail.com>  Fri, 06 Dec 2013 15:00:00 -0000

ros-kinetic-denso-ros-control (0.2.2-0xenial) xenial; urgency=high



 -- Shohei Fujii <fujii.shohei@gmail.com>  Fri, 06 Dec 2013 11:20:00 -0000

ros-kinetic-denso-ros-control (0.2.1-0xenial) xenial; urgency=high



 -- Shohei Fujii <fujii.shohei@gmail.com>  Thu, 05 Dec 2013 17:54:00 -0000

ros-kinetic-denso-ros-control (0.2.0-0xenial) xenial; urgency=high



 -- Shohei Fujii <fujii.shohei@gmail.com>  Mon, 18 Nov 2013 15:00:00 -0000

=== debian/control ===
Source: ros-kinetic-denso-ros-control
Section: misc
Priority: extra
Maintainer: Shohei Fujii <fujii.shohei@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-controller-manager, ros-kinetic-hardware-interface, ros-kinetic-joint-limits-interface, ros-kinetic-joint-state-controller, ros-kinetic-joint-trajectory-controller, ros-kinetic-kdl-parser, ros-kinetic-position-controllers, ros-kinetic-roscpp, ros-kinetic-transmission-interface, ros-kinetic-urdf
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-denso-ros-control
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-controller-manager, ros-kinetic-hardware-interface, ros-kinetic-joint-limits-interface, ros-kinetic-joint-state-controller, ros-kinetic-joint-trajectory-controller, ros-kinetic-kdl-parser, ros-kinetic-position-controllers, ros-kinetic-roscpp, ros-kinetic-transmission-interface, ros-kinetic-urdf
Description: The denso_ros_control package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-denso-ros-control//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
